> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-jp/workspaces/trash.md).

# Trash

削除された projects、dataset versions、workflows は、30日間 workspace の Trash に移動され、その後完全に削除されます。30日間の保持期間内であればいつでも Trash からアイテムを復元でき、不要であると確信している場合は、すぐに完全削除することもできます。

## Trash を開く

workspace の Settings に移動し、サブナビゲーションから Trash を選択します。このページには、削除されたすべての project、version、workflow が種類ごとにグループ化されて表示され、各アイテムを誰が削除したか、いつ削除されたか、完全なクリーンアップまであと何日残っているかもあわせて確認できます。

## アイテムを復元する

1行の Restore をクリックするとそのアイテムを復元できます。またはチェックボックスで複数のアイテムを選択して Restore をクリックし、一括で復元できます。Restore All は workspace の Trash 内のすべてのアイテムを復元します。

復元されたアイテムは、削除されたのと同じ場所に workspace 内で直ちに再表示されます。dataset versions は、親 project がまだアクティブな場合にのみ復元できます。親 project も Trash にある場合は、先に project を復元してから、その versions を復元してください。

## アイテムを完全削除する

30日間の保持期間をスキップしてすぐにアイテムを削除するには、1行の Delete Permanently をクリックするか、複数のアイテムを選択して Delete Permanently をクリックします。Empty Trash を使うと、workspace の Trash 内のすべてが一度に削除されます。完全削除は元に戻せません。

完全削除は、web app のこのページでのみ利用できます。誤った script や automation がデータを取り返しのつかない形で破壊してしまわないよう、REST API、Python SDK、CLI には公開されていません。

## 削除するとどうなるか

project、version、workflow が削除されると:

* アイテムは workspace とすべての API 一覧から非表示になります。
* 進行中の training job は自動的にキャンセルされるため、削除しようとしているものに credits を使い続けることはありません。
* project の場合、その version で学習した models の提供は停止します。
* そのアイテムの storage は、30日間の保持期間が終了するか、完全削除するまで、workspace plan の使用量として引き続きカウントされます。

project を削除するときに "Also delete images from Asset Library" を選択していた場合、Trash の行に表示される amber のインジケーターで、その project のみに属する images も project の完全クリーンアップ時に削除されることが示されます。ほかの projects と共有されている images は常に保持されます。

## Trash を利用できるのは誰か

Trash およびその操作へのアクセスは、role-based access control によって制御されます。デフォルトの Owner ロールには、すべての trash 権限が付与されます。個別の trash 権限 (`view_trash`, `trash_dataset`, `restore_dataset`, `trash_version`, `restore_version`, `trash_workflow`, `restore_workflow`) を、workspace の Role-Based Access Control 設定からカスタムロールに割り当てることができます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-jp/workspaces/trash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
